Package org.apache.avro.data

# Interface RecordBuilder<T>

All Known Subinterfaces:
  `ErrorBuilder<T>`

All Known Implementing Classes:
  `GenericRecordBuilder`, `RecordBuilderBase`, `SpecificErrorBuilderBase`, `SpecificRecordBuilderBase`

public interface RecordBuilder<T>
Interface for record builders

## Method Summary

Modifier and Type
Method
Description
`T`
`build()`
Constructs a new instance using the values set in the RecordBuilder.

## Method Details

### build

T build()
Constructs a new instance using the values set in the RecordBuilder. If a particular value was not set and the schema defines a default value, the default value will be used.

Returns:
  a new instance using values set in the RecordBuilder.